Bug 171796 - [NEW PORT] cad/repsnapper: Controller and GCode generator for RepRap 3D printers
Summary: [NEW PORT] cad/repsnapper: Controller and GCode generator for RepRap 3D printers
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-20 00:20 UTC by martin.dieringer
Modified: 2012-09-28 23:40 UTC (History)
0 users

See Also:


Attachments
.shar (3.15 KB, text/plain)
2012-09-20 00:20 UTC, martin.dieringer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description martin.dieringer 2012-09-20 00:20:06 UTC
RepSnapper is a host software for controlling a RepRap 3D printer.  It has a
3D OpenGL interface, slices objects and calculates the extrusion toolpath. 
It can manipulate 3D objects and save constellations in STL and AMF format.

WWW: http://reprap.org/wiki/RepSnapper_Manual:Introduction

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 martin.dieringer 2012-09-20 10:17:57 UTC
LIB_DEPENDS: 
- glademm is not needed
- cairomm is already in gtkmm

freeglut is missing:
		glut:${PORTSDIR}/graphics/freeglut/ \
Comment 2 martin.dieringer 2012-09-27 19:29:57 UTC
new shar for version 2.0.0b01

--- .shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	repsnapper
#	repsnapper/pkg-plist
#	repsnapper/Makefile
#	repsnapper/distinfo
#	repsnapper/pkg-descr
#
echo c - repsnapper
mkdir -p repsnapper > /dev/null 2>&1
echo x - repsnapper/pkg-plist
sed 's/^X//' >repsnapper/pkg-plist << '4862dd7212c67652971f4ec0a8c74113'
Xbin/repsnapper
Xshare/applications/repsnapper.desktop
Xetc/xdg/repsnapper/repsnapper.conf
Xshare/locale/en_GB/LC_MESSAGES/repsnapper.mo
Xshare/locale/de_DE/LC_MESSAGES/repsnapper.mo
X@dirrm etc/xdg/repsnapper/
4862dd7212c67652971f4ec0a8c74113
echo x - repsnapper/Makefile
sed 's/^X//' >repsnapper/Makefile << '8715f8ced5909f677292f25be4152329'
X# New ports collection makefile for:	repsnapper
X# Date created:				30 July 2012
X# Whom:					martin.dieringe@gmx.de
X#
X# $FreeBSD$
X#
X
XPORTNAME=	repsnapper
XPORTVERSION=	2.0.0b01
XCATEGORIES=	cad
XMASTER_SITES=	http://nodeload.github.com/timschmidt/repsnapper/tarball/
XDISTNAME=	${PORTVERSION}
XEXTRACT_SUFX=	#
XDIST_SUBDIR=	${PORTNAME}
X
XMAINTAINER=	martin.dieringer@gmx.de
XCOMMENT=	Controller and GCode generator for RepRap 3D printers
X
XLICENSE=	GPLv2
XLICENSE_FILE=	${WRKSRC}/licenses/GPL-2.0.txt
X
XBUILD_DEPENDS=	p5-XML-Parser>=0:${PORTSDIR}/textproc/p5-XML-Parser
XLIB_DEPENDS=	gtkglext:${PORTSDIR}/x11-toolkits/gtkglext \
X		glut:${PORTSDIR}/graphics/freeglut/ \
X		gtkmm-2:${PORTSDIR}/x11-toolkits/gtkmm24 \
X		zip:${PORTSDIR}/archivers/libzip
X
XMAKE_JOBS_SAFE=	yes
XUSE_GNOME=	gtk20
XUSE_GL=		glut
X
X.if !defined(WITHOUT_NLS)
XUSE_GETTEXT=	yes
XPLIST_SUB+=	NLS=""
X.else
XCONFIGURE_ARGS+=	--disable-nls
XPLIST_SUB+=	NLS="@comment "
X.endif
X
XWRKSRC=		${WRKDIR}/timschmidt-${PORTNAME}-39af569
XINSTALL_TARGET=	install-strip
XCONFIGURE_ARGS=	--prefix=${PREFIX}
XUSE_AUTOTOOLS=	automake
X
X#USE_LDCONFIG=	yes
XUSE_GMAKE=	yes
XUSE_XORG=	x11
X
Xpre-configure:
X		cd ${WRKSRC} && ./autogen.sh
X
Xpost-install:
X		${MKDIR} ${PREFIX}/share/locale/en_GB/LC_MESSAGES
X		${MV} ${PREFIX}/lib/locale/en_GB/LC_MESSAGES/repsnapper.mo ${PREFIX}/share/locale/en_GB/LC_MESSAGES/
X		${MKDIR} ${PREFIX}/share/locale/de_DE/LC_MESSAGES
X		${MV} ${PREFIX}/lib/locale/de_DE/LC_MESSAGES/repsnapper.mo ${PREFIX}/share/locale/de_DE/LC_MESSAGES/
X
X.include <bsd.port.mk>
8715f8ced5909f677292f25be4152329
echo x - repsnapper/distinfo
sed 's/^X//' >repsnapper/distinfo << 'eadfeb873bc57e75224679158d118939'
XSHA256 (repsnapper/2.0.0b01) = 01ac8745933f87661972492476eb94b90ae2272e522b6accec64e6b2a938f60d
XSIZE (repsnapper/2.0.0b01) = 1340375
eadfeb873bc57e75224679158d118939
echo x - repsnapper/pkg-descr
sed 's/^X//' >repsnapper/pkg-descr << 'f568d0b9a82b0fd3b377e449b96461e4'
XRepSnapper is a host software for controlling a RepRap 3D printer.  It has a
X3D OpenGL interface, slices objects and calculates the extrusion toolpath. 
XIt can manipulate 3D objects and save constellations in STL and AMF format.
X
XWWW: http://reprap.org/wiki/RepSnapper_Manual:Introduction
f568d0b9a82b0fd3b377e449b96461e4
exit
--- .shar ends here ---
Comment 3 dfilter service freebsd_committer 2012-09-28 23:32:33 UTC
Author: pawel
Date: Fri Sep 28 22:32:18 2012
New Revision: 305014
URL: http://svn.freebsd.org/changeset/ports/305014

Log:
  RepSnapper is a host software for controlling a RepRap 3D printer.  It has a
  3D OpenGL interface, slices objects and calculates the extrusion toolpath.
  It can manipulate 3D objects and save constellations in STL and AMF format.
  
  WWW: http://reprap.org/wiki/RepSnapper_Manual:Introduction
  
  PR:		ports/171796
  Submitted by:	Martin Dieringer <martin.dieringe@gmx.de>

Added:
  head/cad/repsnapper/
  head/cad/repsnapper/Makefile   (contents, props changed)
  head/cad/repsnapper/distinfo   (contents, props changed)
  head/cad/repsnapper/pkg-descr   (contents, props changed)
  head/cad/repsnapper/pkg-plist   (contents, props changed)
Modified:
  head/cad/Makefile

Modified: head/cad/Makefile
==============================================================================
--- head/cad/Makefile	Fri Sep 28 20:25:53 2012	(r305013)
+++ head/cad/Makefile	Fri Sep 28 22:32:18 2012	(r305014)
@@ -77,6 +77,7 @@
     SUBDIR += qfsm
     SUBDIR += qmls
     SUBDIR += qucs
+    SUBDIR += repsnapper
     SUBDIR += salome
     SUBDIR += salome-geom
     SUBDIR += salome-gui

Added: head/cad/repsnapper/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/cad/repsnapper/Makefile	Fri Sep 28 22:32:18 2012	(r305014)
@@ -0,0 +1,84 @@
+# Created by: Martin Dieringer <martin.dieringe@gmx.de>
+# $FreeBSD$
+
+PORTNAME=	repsnapper
+PORTVERSION=	2.0.0b01
+CATEGORIES=	cad
+MASTER_SITES=	http://nodeload.github.com/timschmidt/repsnapper/tarball/
+DISTNAME=	${PORTVERSION}
+EXTRACT_SUFX=	#
+DIST_SUBDIR=	${PORTNAME}
+
+MAINTAINER=	martin.dieringer@gmx.de
+COMMENT=	Controller and GCode generator for RepRap 3D printers
+
+LICENSE=	GPLv2 BSD MIT
+LICENSE_COMB=	multi
+
+BUILD_DEPENDS=	p5-XML-Parser>=0:${PORTSDIR}/textproc/p5-XML-Parser
+LIB_DEPENDS=	gtkglext:${PORTSDIR}/x11-toolkits/gtkglext \
+		gtkmm-2:${PORTSDIR}/x11-toolkits/gtkmm24 \
+		glademm-2:${PORTSDIR}/devel/libglademm24 \
+		cairomm-1:${PORTSDIR}/graphics/cairomm \
+		zip:${PORTSDIR}/archivers/libzip \
+		atkmm-1.6:${PORTSDIR}/accessibility/atkmm \
+		glibmm-2.4:${PORTSDIR}/devel/glibmm \
+		pthread-stubs:${PORTSDIR}/devel/libpthread-stubs \
+		sigc-2.0:${PORTSDIR}/devel/libsigc++20 \
+		pcre:${PORTSDIR}/devel/pcre \
+		drm:${PORTSDIR}/graphics/libdrm \
+		png15:${PORTSDIR}/graphics/png \
+		freetype:${PORTSDIR}/print/freetype2 \
+		expat:${PORTSDIR}/textproc/expat2 \
+		xml++-2.6:${PORTSDIR}/textproc/libxml++26 \
+		fontconfig:${PORTSDIR}/x11-fonts/fontconfig \
+		pangomm-1.4:${PORTSDIR}/x11-toolkits/pangomm \
+		xcb:${PORTSDIR}/x11/libxcb
+
+MAKE_JOBS_SAFE=	yes
+USE_GNOME=	gdkpixbuf2 gtk20 libxml2
+USE_GL=		glu glut
+USE_AUTOTOOLS=	automake libtool
+USE_GMAKE=	yes
+USE_ICONV=	yes
+USE_PKGCONFIG=	build
+USE_XORG=	ice pixman sm x11 xau xcomposite xcursor xdamage xdmcp xext \
+		xfixes xi xinerama xmu xrandr xrender xt xxf86vm
+
+.if !defined(WITHOUT_NLS)
+USE_GETTEXT=	yes
+PLIST_SUB+=	NLS=""
+.else
+CONFIGURE_ARGS+=	--disable-nls
+PLIST_SUB+=	NLS="@comment "
+.endif
+
+WRKSRC=		${WRKDIR}/timschmidt-${PORTNAME}-39af569
+INSTALL_TARGET=	install-strip
+CONFIGURE_ARGS=	--prefix=${PREFIX}
+
+pre-configure:
+	cd ${WRKSRC} && ./autogen.sh
+
+post-configure:
+	@${REINPLACE_CMD} 's|src/repsnapper.conf||' \
+		${WRKSRC}/Makefile
+	@${REINPLACE_CMD} 's|DATADIRNAME = lib|DATADIRNAME = share|' \
+		${WRKSRC}/po/Makefile
+
+post-install:
+	${MKDIR} ${PREFIX}/etc/xdg/repsnapper
+	${INSTALL_DATA} ${WRKSRC}/src/repsnapper.conf \
+		${PREFIX}/etc/xdg/repsnapper/repsnapper.conf.sample
+	@if [ ! -f ${PREFIX}/etc/xdg/repsnapper/repsnapper.conf ]; then \
+		${CP} -p ${PREFIX}/etc/xdg/repsnapper/repsnapper.conf.sample \
+			${PREFIX}/etc/xdg/repsnapper/repsnapper.conf ; \
+	fi
+
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 800000
+IGNORE=		needs acosl(3) function to compile
+.endif
+
+.include <bsd.port.post.mk>

Added: head/cad/repsnapper/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/cad/repsnapper/distinfo	Fri Sep 28 22:32:18 2012	(r305014)
@@ -0,0 +1,2 @@
+SHA256 (repsnapper/2.0.0b01) = 01ac8745933f87661972492476eb94b90ae2272e522b6accec64e6b2a938f60d
+SIZE (repsnapper/2.0.0b01) = 1340375

Added: head/cad/repsnapper/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/cad/repsnapper/pkg-descr	Fri Sep 28 22:32:18 2012	(r305014)
@@ -0,0 +1,5 @@
+RepSnapper is a host software for controlling a RepRap 3D printer.  It has a
+3D OpenGL interface, slices objects and calculates the extrusion toolpath. 
+It can manipulate 3D objects and save constellations in STL and AMF format.
+
+WWW: http://reprap.org/wiki/RepSnapper_Manual:Introduction

Added: head/cad/repsnapper/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/cad/repsnapper/pkg-plist	Fri Sep 28 22:32:18 2012	(r305014)
@@ -0,0 +1,13 @@
+bin/repsnapper
+@unexec if cmp -s %D/etc/xdg/repsnapper/repsnapper.conf.sample %D/etc/xdg/repsnapper/repsnapper.conf; then rm -f %D/etc/xdg/repsnapper/repsnapper.conf; fi
+etc/xdg/repsnapper/repsnapper.conf.sample
+@exec if [ ! -f %D/etc/xdg/repsnapper/repsnapper.conf ] ; then cp -p %D/%F %B/xdg/repsnapper/repsnapper.conf; fi
+share/applications/repsnapper.desktop
+share/locale/en_GB/LC_MESSAGES/repsnapper.mo
+share/locale/de_DE/LC_MESSAGES/repsnapper.mo
+share/repsnapper/repsnapper.ui
+@dirrmtry etc/xdg/repsnapper
+@dirrmtry share/applications
+@dirrmtry share/locale/de_DE/LC_MESSAGES
+@dirrmtry share/locale/de_DE
+@dirrm share/repsnapper
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Pawel Pekala freebsd_committer 2012-09-28 23:33:14 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!